Skip to main content
GET
/
workspace
/
{workspace_id}
/
static_host
/
{static_host}
/
build
Retrieve builds for a static host
curl --request GET \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/static_host/{static_host}/build \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/static_host/{static_host}/build"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/static_host/{static_host}/build', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "id": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "name": "<string>",
      "description": "<string>",
      "canonical": "<string>",
      "file_count": 123,
      "file_bytes": 123,
      "original": "<string>",
      "type": "<string>",
      "status": "pending",
      "log": "<string>",
      "static_host": {
        "id": 123
      },
      "user": {
        "id": 123
      }
    }
  ],
  "itemsReceived": 123,
  "curPage": 123,
  "nextPage": 123,
  "prevPage": 123,
  "offset": 123,
  "perPage": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required
static_host
string
required

Query Parameters

page
integer<int64>
default:1

Response

Success!

items
object[]
itemsReceived
integer<int64>
curPage
integer<int64>
nextPage
integer<int64> | null
prevPage
integer<int64> | null
offset
integer<int64>
perPage
integer<int64>